T2S User Requirements Version 9.0